import time, kooka, fonts

t0 = t1 = time.ticks_ms()
disp = kooka.display
running = False
while not kooka.button_a.was_pressed():
    if kooka.button_c.was_pressed():
        if not running:
            t2 = time.ticks_ms()
            t0 = time.ticks_add(t0, time.ticks_diff(t2, t1))
            t1 = t2
            running = True
        else:
            running = False
    if running:
        t1 = time.ticks_ms()
    if kooka.button_d.was_pressed():
        t0 = t1
    disp.fill(0)
    disp.setfont(fonts.mono6x7)
    disp.text('A-exit', 0, 49)
    if running:
        disp.text('C-pause', 8, 59)
    else:
        disp.text('C-start', 8, 59)
    disp.text('D - reset', 62, 59)
    dt = time.ticks_diff(t1, t0)
    m = dt // 60000
    s = dt // 1000 % 60
    ds = dt % 1000 // 10
    disp.setfont(fonts.sans12)
    disp.fill_rect(0, 8, 128, 26, 1)
    disp.text('%02d:%02d.%02d' % (m, s, ds), 19, 29, 0)
    disp.show()
